# Generated by Django 3.2.4 on 2021-06-27 11:31

import uuid

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Log",
            fields=[
                ("timestamp", models.DateTimeField(auto_now_add=True)),
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                (
                    "level",
                    models.CharField(
                        choices=[("info", "info"), ("warning", "warning"), ("critical", "critical")],
                        default="warning",
                        max_length=22,
                    ),
                ),
                (
                    "message",
                    models.CharField(
                        help_text="Description of the incident. Can be used for aggregation.", max_length=255
                    ),
                ),
                ("extra_data", django.contrib.postgres.fields.jsonb.JSONField()),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="logs", to=settings.AUTH_USER_MODEL
                    ),
                ),
            ],
            options={
                "verbose_name": "logs",
            },
        ),
    ]
